# Create batch calls

This endpoint creates multiple batch phone calls for an ElevenLabs agent.

Source: https://zild.ai/en-US/docs/api-reference/post-api-Agent-create-batch-call

POST `/Agent/create-batch-call`

This endpoint creates multiple batch phone calls for an ElevenLabs agent.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters

This operation has no path, query, or header parameters.

## Request body

**Content type:** `application/json` · **Schema:** `AgentCreateBatchCallRequestDto`



<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>batchCallName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>fromNumber</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>tasks</code></td><td><code>array&lt;AgentBatchCallTaskDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>scheduledTime</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>



## Example request



```
curl --request POST \
  --url 'https://api.zild.ai/Agent/create-batch-call' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "batchCallName": "string",
  "agentId": 0,
  "fromNumber": "string",
  "tasks": [
    {
      "contactName": "string",
      "toNumber": "string",
      "dynamicVariables": {},
      "metadata": "string"
    }
  ],
  "scheduledTime": "2026-09-22T18:00:00Z"
}'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Batch calls created successfully</td><td>No response body is defined.</td></tr></tbody></table>



## Data models

`AgentBatchCallTaskDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>contactName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>toNumber</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>dynamicVariables</code></td><td><code>object</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>metadata</code></td><td><code>any</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`AgentCreateBatchCallRequestDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>batchCallName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>fromNumber</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>tasks</code></td><td><code>array&lt;AgentBatchCallTaskDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>scheduledTime</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>
